TopoDS_Shape S1 = generator.Shape(); Handle(AIS_Shape) ais1 = new AIS_Shape(S1); BRepPrimAPI_MakeTorus TopoDS_Shape aTopoElbow = BRepPrimAPI_MakeTorus(anAxis, 3.0, 1.0, M_PI_2).Shape(); 创建圆环体,与其它基本图元类似,一个圆环体可以在默认的坐标系中创建,也可以在指定的坐标系中创建。...
TKV3d工具包定义了一个名为(Application Interactive Services* ( AIS ))的高级 API ,用于处理交互式对象。 TKService工具包定义了一个用于管理和从原始数组创建表示的低级 API。该工具包定义了一个抽象层,用于定义负责实际渲染的任意图形驱动程序。 TKOpenGl工具包使用 OpenGL 和 OpenGL ES 库实现图形驱动程序。 虽...
#pragma warning( disable : 4244 ) // Issue warning 4244 #include <Standard_ShortReal.hxx> #pragma warning( default : 4244 ) // Issue warning 4244 #include <Standard.hxx> #include <Aspect_DisplayConnection.hxx> #include <AIS_InteractiveContext.hxx> #include <AIS_Shape.hxx> #include <AI...
// 显示拓扑图形voidDisplayShape(Handle(AIS_InteractiveContext) aContext, TopoDS_Shape shape){ Handle(AIS_Shape) aisShape =newAIS_Shape(shape);//设置颜色aisShape->SetColor(Quantity_NOC_RED);//设置边线宽度aisShape->SetWidth(1.0); aContext->Display(aisShape, Standard_True); } 保存为.stl文件 /...
然后创建 context,就可以显示模型了 myAISContext =newAIS_InteractiveContext (aViewer); TopoDS_Shape aShape= BRepAPI_MakeBox (10,20,30).Solid(); Handle(AIS_Shape) anAISShape=newAIS_Shape (aShape); myAISContext->Display (anAISShape,true);...
BRepAlgoAPI_Section section(atorus, asphere, PerformNow); section.ComputePCurveOn1(Standard_True); section.Approximation(TopOpeBRepTool_APPROX); section.Build(); Handle(AIS_Shape) asection = new AIS_Shape(section.Shape()); myAISContext->SetDisplayMode(asection, 0, Standard_False);16、平面...
Opencascade(OCCT)部分算子总结1 AIS_ViewCube:OCCT提供了一个专门的3D小部件,用于显示、控制3D视图的显示,角度等。TColgp_ArrayOfPnt:用于管理gp_Pnt对象的数组。可以添加,删除和访问是数组中的点 // Define points. gp_Pnt aPnt1(0.0, 0.0, 0.0); gp_Pnt aPnt2(5.0, 5.0, 0.0); gp...
Handle(AIS_InteractiveContext) theCtx; TopoDS_Shape theShape; const gp_Trsf aShapeLoc = theShape.Location(); TopoDS_Shape aShape = theShape.Located (TopLoc_Location()); Handle(AIS_Shape) aShapePrs = new AIS_Shape (aShape); aShapePrs->SetLocalTransformation (aShapeLoc); ...
Improved Shaded highlighting in AIS_Shape Improved clipping planes - capping preserving object material and better performance Support of perspective projection and selection for transformation persistent objects New presentation AIS_Manipulator for interactive object transformation New property in AIS_Dimension ...
Introduced separate gesture mappings for dragging to AIS_ViewController. Integrated the ability to scale by moving the mouse on the OY axis. Mesh Fixed BRepMesh_IncrementalMesh issue with overflowing system memory. Unhandled Standard_OutOfRange, BRepMesh_PairOfIndex::Append() no longer prevents tria...